import { useAtomValue } from 'jotai';
import { FC } from 'react';
import { DeviceState } from '../../context/EstimContext';
import IconBattery from '../../icons/IconBattery';
import IconRssi from '../../icons/IconRssi';
import { smallIconProps } from '../../icons/shared-props';

const DeviceStates: FC = () => {
  const deviceState = useAtomValue(DeviceState);

  return (
    <>
      <IconRssi {...smallIconProps} level={deviceState?.rssi} />
      <IconBattery {...smallIconProps} level={deviceState?.battery} />
    </>
  );
};

export default DeviceStates;
